package org.project.item.armors;

public class KnightArmor extends Armor
{

    public KnightArmor()
    {
        super(40, 100);
    }

    @Override
    public void checkBreak()
    {
        super.checkBreak();
        if (isBroke())
        {
            System.out.println("Knight's armor is shattered!");
        }
    }

    @Override
    public void repair()
    {
        super.repair();
        System.out.println("Knight's armor has been reforged by the royal blacksmith!");
    }
}